Package com.enonic.xp.node

## Class AbstractQuery.Builder<B extends AbstractQuery.Builder>

- java.lang.Object
- - com.enonic.xp.node.AbstractQuery.Builder<B>

- Direct Known Subclasses:
    `NodeCommitQuery.Builder`, `NodeQuery.Builder`, `NodeVersionQuery.Builder`
  Enclosing class:
    AbstractQuery

      public abstract static class AbstractQuery.Builder<B extends AbstractQuery.Builder>
      extends Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Builder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `B` | `addAggregationQueries​(AggregationQueries aggregationQueries)` |
    `B` | `addAggregationQuery​(AggregationQuery aggregationQuery)` |
    `B` | `addOrderBy​(OrderExpr orderExpr)` |
    `B` | `addPostFilter​(Filter filter)` |
    `B` | `addQueryFilter​(Filter queryFilter)` |
    `B` | `addQueryFilters​(Filters queryFilters)` |
    `B` | `addSuggestionQueries​(SuggestionQueries suggestionQueries)` |
    `B` | `addSuggestionQuery​(SuggestionQuery suggestionQuery)` |
    `B` | `aggregationQueries​(Set<AggregationQuery> aggregationQueries)` |
    `B` | `batchSize​(int batchSize)` |
    `B` | `explain​(boolean explain)` |
    `B` | `from​(int from)` |
    `B` | `highlight​(HighlightQuery highlight)` |
    `B` | `query​(QueryExpr query)` |
    `B` | `searchMode​(SearchMode searchMode)` |
    `B` | `searchOptimizer​(SearchOptimizer searchOptimizer)` |
    `B` | `setOrderExpressions​(OrderExpressions orderExpressions)` |
    `B` | `size​(int size)` |
    `B` | `suggestionQueries​(Set<SuggestionQuery> suggestionQueries)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          protected Builder()

  - ### Method Detail

    - #### query

          public B query​(QueryExpr query)

    - #### addQueryFilter

          public B addQueryFilter​(Filter queryFilter)

    - #### addQueryFilters

          public B addQueryFilters​(Filters queryFilters)

    - #### addPostFilter

          public B addPostFilter​(Filter filter)

    - #### addAggregationQueries

          public B addAggregationQueries​(AggregationQueries aggregationQueries)

    - #### aggregationQueries

          public B aggregationQueries​(Set<AggregationQuery> aggregationQueries)

    - #### addAggregationQuery

          public B addAggregationQuery​(AggregationQuery aggregationQuery)

    - #### addSuggestionQueries

          public B addSuggestionQueries​(SuggestionQueries suggestionQueries)

    - #### suggestionQueries

          public B suggestionQueries​(Set<SuggestionQuery> suggestionQueries)

    - #### addSuggestionQuery

          public B addSuggestionQuery​(SuggestionQuery suggestionQuery)

    - #### highlight

          public B highlight​(HighlightQuery highlight)

    - #### from

          public B from​(int from)

    - #### size

          public B size​(int size)

    - #### batchSize

          public B batchSize​(int batchSize)

    - #### explain

          public B explain​(boolean explain)

    - #### addOrderBy

          public B addOrderBy​(OrderExpr orderExpr)

    - #### setOrderExpressions

          public B setOrderExpressions​(OrderExpressions orderExpressions)

    - #### searchMode

          public B searchMode​(SearchMode searchMode)

    - #### searchOptimizer

          public B searchOptimizer​(SearchOptimizer searchOptimizer)